net.minecraft.stats

## Class Achievement

- java.lang.Object
- - net.minecraft.stats.StatBase
  - - net.minecraft.stats.Achievement

-     public class Achievement
      extends StatBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `displayColumn` Is the column (related to center of achievement gui, in 24 pixels unit) that the achievement will be displayed.
    `int` | `displayRow` Is the row (related to center of achievement gui, in 24 pixels unit) that the achievement will be displayed.
    `Achievement` | `parentAchievement` Holds the parent achievement, that must be taken before this achievement is avaiable.
    `ItemStack` | `theItemStack` Holds the ItemStack that will be used to draw the achievement into the GUI.

    - ### Fields inherited from class net.minecraft.stats.StatBase

      `distanceStatType, field_111202_k, isIndependent, simpleStatType, statGuid, statId, statName, timeStatType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Achievement(int par1, String par2Str, int par3, int par4, Block par5Block, Achievement par6Achievement)`
    `Achievement(int par1, String par2Str, int par3, int par4, Item par5Item, Achievement par6Achievement)`
    `Achievement(int par1, String par2Str, int par3, int par4, ItemStack par5ItemStack, Achievement par6Achievement)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `boolean` | `getSpecial()`
    `StatBase` | `initIndependentStat()` Initializes the current stat as independent (i.e., lacking prerequisites for being updated) and returns the current instance.
    `boolean` | `isAchievement()`
    `Achievement` | `registerAchievement()` Adds the achievement on the internal list of registered achievements, also, it's check for duplicated id's.
    `StatBase` | `registerStat()` Register the stat into StatList.
    `Achievement` | `setIndependent()` Indicates whether or not the given achievement or statistic is independent (i.e., lacks prerequisites for being update).
    `Achievement` | `setSpecial()` Special achievements have a 'spiked' (on normal texture pack) frame, special achievements are the hardest ones to achieve.
    `Achievement` | `setStatStringFormatter(IStatStringFormat par1IStatStringFormat)`

    - ### Methods inherited from class net.minecraft.stats.StatBase

      `func_75968_a, getName, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### displayColumn

          public final int displayColumn

      Is the column (related to center of achievement gui, in 24 pixels unit) that the achievement will be displayed.

    - #### displayRow

          public final int displayRow

      Is the row (related to center of achievement gui, in 24 pixels unit) that the achievement will be displayed.

    - #### parentAchievement

          public final Achievement parentAchievement

      Holds the parent achievement, that must be taken before this achievement is avaiable.

    - #### theItemStack

          public final ItemStack theItemStack

      Holds the ItemStack that will be used to draw the achievement into the GUI.

  - ### Constructor Detail

    - #### Achievement

          public Achievement(int par1,
                     String par2Str,
                     int par3,
                     int par4,
                     Item par5Item,
                     Achievement par6Achievement)

    - #### Achievement

          public Achievement(int par1,
                     String par2Str,
                     int par3,
                     int par4,
                     Block par5Block,
                     Achievement par6Achievement)

    - #### Achievement

          public Achievement(int par1,
                     String par2Str,
                     int par3,
                     int par4,
                     ItemStack par5ItemStack,
                     Achievement par6Achievement)

  - ### Method Detail

    - #### setIndependent

          public Achievement setIndependent()

      Indicates whether or not the given achievement or statistic is independent (i.e., lacks prerequisites for being update).

    - #### setSpecial

          public Achievement setSpecial()

      Special achievements have a 'spiked' (on normal texture pack) frame, special achievements are the hardest ones to achieve.

    - #### registerAchievement

          public Achievement registerAchievement()

      Adds the achievement on the internal list of registered achievements, also, it's check for duplicated id's.

    - #### isAchievement

          public boolean isAchievement()

      Overrides:
        `isAchievement` in class `StatBase`

    - #### getDescription

          public String getDescription()

    - #### setStatStringFormatter

          public Achievement setStatStringFormatter(IStatStringFormat par1IStatStringFormat)

    - #### getSpecial

          public boolean getSpecial()

    - #### registerStat

          public StatBase registerStat()

      Register the stat into StatList.
      Overrides:
        `registerStat` in class `StatBase`

    - #### initIndependentStat

          public StatBase initIndependentStat()

      Initializes the current stat as independent (i.e., lacking prerequisites for being updated) and returns the current instance.
      Overrides:
        `initIndependentStat` in class `StatBase`